
      DOUBLE PRECISION FUNCTION PRG_POLYD( COEFF, N, X )

      IMPLICIT NONE
    
      INTEGER N
      DOUBLE PRECISION COEFF( N )
      DOUBLE PRECISION X

      INTEGER I

      PRG_POLYD = 0D0

      IF ( N .LT. 1 ) RETURN

      DO I = N, 1, -1
        PRG_POLYD = PRG_POLYD * X + COEFF( I )
      END DO

      END
